/*
Theme Name: Lolis Crochet
Theme URI: https://www.Dinoclic-informatique.fr/
Template: astra
Author: Dino'Clic Informatique
Author URI: https://www.Dinoclic-informatique.fr/
Description: Thème enfant de Astra modifié par Dino'Clic Informatique
Version: 4.11.13.1761232394
Updated: 2025-10-23 15:13:14

*/
@import url('../astra/style.css');

/* LOGIN */

.fls_login_page_wrap .fls_login_form_wrap .fls_form_wrap form {
    overflow: hidden !important;
}
.ahfb-svg-iconset {
    color: var(--ast-global-color-7) !important;
}
svg.account-icon {
    fill: currentColor !important;

}


/* FIN LOGIN */
ul.sub-menu li.menu-item-has-children a{
    color:#72172d !important;
}
ul.sub-menu li.menu-item-has-children a:hover{
    color: var(--ast-global-color-1) !important;
}

@media (min-width: 1200px) {
    .ast-plain-container.ast-no-sidebar #primary
    {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }
}
.attachment-woocommerce_thumbnail {
    border-top-left-radius:20px;
    border-top-right-radius:20px;
    margin:0 !important;
}


/* Affichage dans la boutique */
.products .product-type-simple, .products .product-type-variable {
    border-radius : 20px;
    border : 2px solid var(--ast-global-color-4);
    background: var(--ast-global-color-4);
    box-shadow: 0 35px 30px -5px rgba(0,0,0,0.2);
}
.products .product-type-simple:hover, .products .product-type-variable:hover {
    border : 2px solid #f00a78;
}
.wc-block-components-product-image img {
    border-top-left-radius: 20px !important;
    border-top-right-radius: 20px !important;
}

.astra-shop-summary-wrap, .wcz-stock-remaining {
    padding-left:10px;
    padding-right: 10px;
    padding-bottom:5px;
    padding-top:10px;
}
.wcz-stock-remaining {
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    margin: 0;
}
.products .product-category {
    border-radius : 20px;
    background: var(--ast-global-color-4) !important;
    box-shadow: 0 35px 30px -5px rgba(0,0,0,0.2);
}
.products .product-category a {
    background-color: transparent !important;
}
.products .product-category a img {
    border-radius : 20px;
}
.woocommerce-loop-category__title {
    color: var(--ast-global-color-5);
    border-radius : 33px;
    text-transform: capitalize !important;
    font-family: 'Poiret One', display !important;
    font-size: 1.25rem !important;
    font-weight: 400 !important;
    border-color: #f864a2 !important;
    background-color: #f864a2 !important;
}
.woocommerce-loop-category__title:hover {
    background-color: #c85d89 !important;
    border-color: #c85d89 !important;
}
.woocommerce-loop-category__title .count {
    color: var(--ast-global-color-4);
}



/* Affichage page accueil Mise en Avant */
#produitsEnAvant .ast-article-single {
    border-radius : 20px;
    padding-bottom: 5px;
    border : 2px solid var(--ast-global-color-5);
    background-color: var(--ast-global-color-5);
    box-shadow: 0 35px 30px -5px rgba(0,0,0,0.2);
}
#produitsEnAvant .ast-article-single:hover {
    border : 2px solid #f00a78;
}

/* Effet Apparition du menu au scroll */
@keyframes slideDown {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes slideDown-noadm {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Style sticky pour desktop */
@media (min-width: 769px) {
    .ast-above-header-wrap.sticky-visible,
    .ast-below-header-wrap.sticky-visible {
        position: fixed;
        width: 100%;
        z-index: 999;
        background: #fff;
        left: 0;
    }

    .ast-primary-header-wrap.sticky-visible {
        top: 0;
    }

    .ast-below-header-wrap.sticky-visible {
        top: 92px; /* Ajuste selon la hauteur de la barre primaire */
    }
}

/* Style sticky pour mobile */
.ast-mobile-header-wrap.sticky-visible {
    position: fixed;
    width: 100%;
    z-index: 999;
    left: 0;
    top: 0;
}

/* effet apparition menu */
.sticky-visible {
    opacity: 0;
    transform: translateY(-50px);
    animation: slideDown 0.8s ease-out forwards;
}
.ast-below-header-wrap.noadminbarbelow {
    top:60px !important;
}
.ast-above-header-wrap.noadminbarabove {
    top:0 !important;
}

/* Ombre sous le menu */
.ast-below-header-wrap, .ast-mobile-header-wrap {
    box-shadow : 0 8px 15px var(--ast-global-color-1);
}

.woocommerce-products-header {
    display: none !important;
}
.main-header-bar {
    border-bottom: none !important;
}
.ast-header-breadcrumb {
    padding-top: 20px;
    padding-bottom: 25px;
}

.woocommerce-result-count {
    padding: 0.5em !important;
    margin-top: 0 !important;
}
.orderby, .woocommerce-result-count {
    border: 1px solid var(--ast-global-color-1) !important;
    border-radius: 20px !important;
    /*background: var(--ast-global-color-7) !important;*/
    color: #8b4f7b !important;
}
.FeedGridLayout__media-container {
    border-radius: 8px;
}
.spotlight-instagram-feed .FeedLayout__wrapper
{
    border-radius : 20px;
}
.sb-feed-header-btn, .FollowButton {
    border-radius : 20px !important;
    font-weight: normal !important;
    border:0;
    padding: .8em 1.1em !important;
    white-space: nowrap;
    font-family: 'Inter', sans-serif;
    font-size: 16px !important;
    box-shadow: 0 15px 10px -5px rgba(0, 0, 0, 0.4) !important;
}

/* PAGINATION */
nav.woocommerce-pagination {
    text-align: center;
}
nav.woocommerce-pagination ul li {
    border-radius : 10px !important;
}
/* FIN PAGINATION */

/* Options dans le panier */
.yith-wapo-container {
    background-color: var(--ast-global-color-4);
    padding:10px;
    margin-bottom: 15px;
}
#wapo-total-price-table table {
    border-width:1px !important
}

/* FIN options dans le panier */